message.hpp File Reference

An AMQP message. More...

`#include "./fwd.hpp"`
`#include "./internal/export.hpp"`
`#include "./duration.hpp"`
`#include "./timestamp.hpp"`
`#include "./value.hpp"`
`#include "./map.hpp"`
`#include "./internal/pn_unique_ptr.hpp"`
`#include <proton/type_compat.h>`
`#include <string>`
`#include <vector>`
Include dependency graph for message.hpp:

Go to the source code of this file.

## Classes

class | message
| An AMQP message. More...

## Namespaces

| proton
| The main Proton namespace.

## Detailed Description

An AMQP message.